Package tigase.auth.mechanisms

## Enum AbstractSaslSCRAM.BindType

- java.lang.Object
- - java.lang.Enum<AbstractSaslSCRAM.BindType>
  - - tigase.auth.mechanisms.AbstractSaslSCRAM.BindType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AbstractSaslSCRAM.BindType>`
  Enclosing class:
    AbstractSaslSCRAM

      public static enum AbstractSaslSCRAM.BindType
      extends java.lang.Enum<AbstractSaslSCRAM.BindType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `n` | Client doesn't support channel binding.
    `tls_server_end_point` | Client requires channel binding: `tls-server-end-point`.
    `tls_unique` | Client requires channel binding: `tls-unique`.
    `y` | Client does support channel binding but thinks the server does not.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AbstractSaslSCRAM.BindType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AbstractSaslSCRAM.BindType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### n

          public static final AbstractSaslSCRAM.BindType n

      Client doesn't support channel binding.

    - #### y

          public static final AbstractSaslSCRAM.BindType y

      Client does support channel binding but thinks the server does not.

    - #### tls_unique

          public static final AbstractSaslSCRAM.BindType tls_unique

      Client requires channel binding: `tls-unique`.

    - #### tls_server_end_point

          public static final AbstractSaslSCRAM.BindType tls_server_end_point

      Client requires channel binding: `tls-server-end-point`.

  - ### Method Detail

    - #### values

          public static AbstractSaslSCRAM.BindType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractSaslSCRAM.BindType c : AbstractSaslSCRAM.BindType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractSaslSCRAM.BindType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null